<template>
	<YwForm :inline="true" :form-items="formItems" :model="queryParams">
		<el-form-item>
			
			<el-button type="primary" icon="ele-Search" @click="handleQueryTable"> 查询 </el-button>
			<el-button icon="ele-Refresh" @click="resetQuery">重置 </el-button>
			<el-button icon="ele-Plus" @click="openOperateDialog()"> 增加 </el-button>
		</el-form-item>
		<el-form-item label="排序">
			<el-switch v-model="isDrag" @change="handleDragStatus" inline-prompt active-icon="ele-Check" inactive-icon="ele-Close"> </el-switch>
		</el-form-item>
	</YwForm>
</template>

<script setup lang="ts">
import { toRefs } from 'vue';
import YwForm from '/@/components/form/yw-form.vue';
import { searchFormEmits, searchFormProps } from '/@/components/form/searchForm/searchForm';
const props = defineProps(searchFormProps);
const emits = defineEmits<searchFormEmits>();
const { isDrag } = toRefs(props);
const resetQuery = () => {
	emits('resetClick');
};

const handleQueryTable = () => {
	emits('queryClick');
};

const openOperateDialog = () => {
	emits('addClick');
};

const handleDragStatus = () => {
	emits('dragStatusChange');
};
</script>
<style scoped lang="scss"></style>
